From 766974b590a5db4337caa6eb2f09c2b59237ed9f Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <barracuda@macos-powerpc.org>
Date: Tue, 7 Jan 2025 06:21:35 +0800
Subject: [PATCH 11/16] Update README

---
 portmgr/dmg/ReadMe.rtf | 24 ++++++++++++++++--------
 1 file changed, 16 insertions(+), 8 deletions(-)

diff --git a/portmgr/dmg/ReadMe.rtf b/portmgr/dmg/ReadMe.rtf
index 711738c21..58d748e64 100644
--- a/portmgr/dmg/ReadMe.rtf
+++ b/portmgr/dmg/ReadMe.rtf
@@ -24,7 +24,7 @@ MacPorts provides an infrastructure for building, installing, and packaging open
 System Requirements:
 \f0\b0 \
 \
-This installer is built for macOS __XVERS__.x and requires the curl and OpenSSL libraries provided by macOS. To build ports locally, you will need to install the Xcode Command Line Tools by running "xcode-select --install" in your terminal. Also required for many GUI applications is the installation of Apple's Xcode development suite, available from the Mac App Store or from {\field{\*\fldinst{HYPERLINK "https://developer.apple.com/xcode/"}}{\fldrslt Apple's Developer site}}. It is also available as a separate installation on Mac OS X CDs and DVDs.\
+This installer is built for macOS __XVERS__.x and requires the curl and OpenSSL libraries. To build ports locally, you will need to install the Xcode. Please use Xcode from 10a190 DVD (available on {\field{\*\fldinst{HYPERLINK "https://macintoshgarden.org/apps/mac-os-x-snow-leopard-powerpc-the-early-106-developer-builds"}}{\fldrslt MacintoshGarden}} and Archive.org) until Xcode 3.2.6 for PowerPC is made available in a packaged form.\
 \
 \
 
@@ -41,13 +41,19 @@ What is Installed:\
 \pard\tx720\tx1440\tx2160\tx2880\tx3600\tx4320\tx5040\tx5760\tx6480\tx7200\tx7920\tx8640\ql\qnatural
 
 \f0\b0 \cf0 \
-Aside from a few MacPorts executable commands in __PREFIX__/bin, most MacPorts files are installed in __PREFIX__/var/macports. Within these directories you will find a "sources" directory containing the Portfiles that hold the necessary instructions to install individual ports, and also the source code for MacPorts itself. Both are kept up to date by using the 
-\f2\i port selfupdate
+Aside from a few MacPorts executable commands in __PREFIX__/bin, most MacPorts files are installed in __PREFIX__/var/macports. Within these directories you will find a "sources" directory containing the Portfiles that hold the necessary instructions to install individual ports. Those are kept up to date by using the 
+\f2\i port sync
 \f0\i0  command as shown below. Please read the port(1) man page for more information.\
 \pard\tx720\tx1440\tx2160\tx2880\tx3600\tx4320\tx5040\tx5760\tx6480\tx7200\tx7920\tx8640\ql\qnatural
 
-\f1\b \cf0 \
+\f1\b \
+Pre-built ports for MacOS 10.6 PowerPC:
+\f0\b0 \
+\
+A browseable index of available pre-built ports can be accessed at {\field{\*\fldinst{HYPERLINK "http://macos-powerpc.org/packages"}}{\fldrslt MacOS-PowerPC}} repository.\
 \
+
+\f1\b \cf0 \
 Shell Environment:
 \f0\b0 \
 \
@@ -61,17 +67,19 @@ Basic Usage:\
 \f0\b0 \cf0 \
 The main user interface to MacPorts is the 
 \f2\i port
-\f0\i0  command and the various facilities it provides for installing ports. The first thing you should do after you install MacPorts is to make sure it is fully up to date by pulling the latest revisions to the Portfiles and any updated MacPorts base code from our rsync server, all accomplished simply by running the 
-\f2\i port selfupdate 
+\f0\i0  command and the various facilities it provides for installing ports. The first thing you should do after you install MacPorts is to make sure it is fully up to date by pulling the latest revisions to the Portfiles for PowerPC from macos-powerpc.org, accomplished simply by running the 
+\f2\i port sync 
 \f0\i0 command as the Unix superuser:\
 \
 \pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural
 \cf0 	
-\f2\i sudo port selfupdate 
+\f2\i sudo port sync 
 \f0\i0 \
 \pard\tx720\tx1440\tx2160\tx2880\tx3600\tx4320\tx5040\tx5760\tx6480\tx7200\tx7920\tx8640\ql\qnatural
 \cf0 \
-Running this command on a regular basis is recommended -- it ensures your MacPorts installation is always up to date. Afterwards, you may search for ports to install:\
+Running this command on a regular basis is recommended -- it ensures your MacPorts installation is always up to date. (Notice, that 
+\f2\i port selfupdate 
+\f0\i0 command is not supported at the moment; using it may break your installation.) Afterwards, you may search for ports to install:\
 \pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural
 \cf0 \
 	
-- 
2.49.0

